<?php
/* ------------------------------------------------------------------------
# default.php - Module - CBX Countdown Module
# ------------------------------------------------------------------------
# author    Joomboxr Team
# copyright Copyright (C) 2015 joomboxr.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://joomboxr.com
# Technical Support:  Forum - http://joomboxr.com/product/cbx-countdown-module-joomla/
------------------------------------------------------------------------- */

//security check
defined('_JEXEC') or die;



JHtml::_('jquery.framework');


$doc = JFactory::getDocument();

//adding style
$doc->addStyleSheet(JURI::root() . 'modules/mod_cbxcountdown/cbxcountdown/css/mod_cbxcountdown_light.css');

//adding js
$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');

$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/lightcountdown.js');
$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/lightcountdown_init.js');



$kk_count_down = explode(' ', $cbenddate );


$kk_count_down_date     = $kk_count_down[0];
$kk_count_down_time     = $kk_count_down[1];
$kk_count_down_date_    = explode('/', $kk_count_down_date );
$kk_count_down_time_    = explode(':', $kk_count_down_time );


$doc->addStyleDeclaration('
.cbfc-countdown-'. $module->id .' .cbfc-cd-background {
        border: 1px solid '. $cbxlg_num_bg_color .';
        background: none repeat scroll 0 0 '. $cbxlg_num_bg_color .';
    }

    .cbfc-cd-number .digit-'. $module->id .' {
        color: '. $cbxlg_num_color .';
    }

    .cbfc-overlap-'. $module->id .' {
        background-color: '. $cbxlg_text_bg_color .';
        color: '. $cbxlg_text_color .';
    }

    .cbfc-light-countdowns-480 .cbfc-cd-number .digit-'. $module->id .' {
        color:'. $cbxlg_res_text_color .';
        width: 65%;
    }

    .cbfc-light-countdowns-480 .cbfc-overlap-'. $module->id .' {
        color: ;
    }

');

?>



<!-- Countdown dashboard start -->
<ul id="cbfc-countdowns-dashboard-<?php echo $module->id; ?>" class="cbfc-countdown cbfc-countdown-<?php echo $module->id; ?> countdowns-dashboard" data-date="<?php echo $kk_count_down_date; ?>" data-hour="<?php echo $kk_count_down_time_[0]; ?>" data-min="<?php echo $kk_count_down_time_[1]; ?>">

    <li class="cbfc-number-box">
        <div class="cbfc-cd-main-container">
            <div class="cbfc-cd-background cbfc-cd-background-<?php echo $module->id; ?>>">
                <div class="cbfc-cd-days cbfc-cd-number dash days_dash" data-color="<?php $cbxlg_num_color; ?>">
                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                </div>
                <div class="cbfc-overlap cbfc-overlap-<?php echo $module->id; ?>"><?php echo JText::_('MOD_CBXCOUNTDOWN_DAYS'); ?></div>
            </div>
        </div>
    </li>

    <li class="cbfc-number-box">
        <div class="cbfc-cd-main-container">
            <div class="cbfc-cd-background">
                <div class="cbfc-cd-hours cbfc-cd-number dash hours_dash">
                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                </div>

                <div class="cbfc-overlap cbfc-overlap-<?php echo $module->id; ?>"><?php echo JText::_('MOD_CBXCOUNTDOWN_HOURS'); ?></div>
            </div>
        </div>
    </li>

    <li class="cbfc-number-box">
        <div class="cbfc-cd-main-container">
            <div class="cbfc-cd-background">
                <div class="cbfc-cd-minutes cbfc-cd-number dash minutes_dash">
                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                </div>

                <div class="cbfc-overlap cbfc-overlap-<?php echo $module->id; ?>"><?php echo JText::_('MOD_CBXCOUNTDOWN_MINUTES'); ?></div>
            </div>
        </div>
    </li>

    <li class="cbfc-number-box">
        <div class="cbfc-cd-main-container">
            <div class="cbfc-cd-background">
                <div class="cbfc-cd-seconds cbfc-cd-number dash seconds_dash">
                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                </div>

                <div class="cbfc-overlap cbfc-overlap-<?php echo $module->id; ?>"><?php echo JText::_('MOD_CBXCOUNTDOWN_SECONDS'); ?></div>
            </div>
        </div>
    </li>

</ul> <!-- End of Countdown Dashboard Div -->



















