;(function ($) {

    $(document).ready(function(){

        if ( $('.countdowns-dashboard').length ) {
            $('.countdowns-dashboard').each( function(index) {
                var $this = $( this );

                cbxcountdown_box_size($this, 'cbfc-light-countdowns-480');
                $( window).resize(function () {
                    cbxcountdown_box_size($this, 'cbfc-light-countdowns-480');
                });
                var cbfcDate = $this.data('date').split('/'),
                    cbfcHour = $this.data('hour'),
                    cbfcMinute = $this.data('min');
                $this.countDown({
                    targetDate: {
                        'day':      cbfcDate[1],
                        'month':    cbfcDate[0],
                        'year':     cbfcDate[2],
                        'hour':     cbfcHour,
                        'min':      cbfcMinute,
                        'sec':      0
                    },
                    omitWeeks: true
                });
            } );
        }

    });
})(jQuery)