<?php
/* ------------------------------------------------------------------------
# circular.php - Module - CBX Countdown Module
# ------------------------------------------------------------------------
# author    Joomboxr Team
# copyright Copyright (C) 2015 joomboxr.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://joomboxr.com
# Technical Support:  Forum - http://joomboxr.com/product/cbx-countdown-module-joomla/
------------------------------------------------------------------------- */

//security check
defined('_JEXEC') or die;

//var_dump('hi there');

$document = JFactory::getDocument();
$direction = $document->direction;
JHtml::_('jquery.framework');




$doc = JFactory::getDocument();
$doc->addStyleSheet(JURI::root() . 'modules/mod_cbxcountdown/cbxcountdown/css/mod_cbxcountdown_circular.css');

//adding helper js file for circular countdown
$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kinetic-v5.1.0.min.js');
//$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kinetic-v5.1.0.js');

//out common js file for adding the circular countdown
$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');

//adding cicrular countdown plugin, it's special customized version from the original
$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/circularcountdown.js');
$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/circularcountdown_init.js');



// Circular settings

$cbxcir_canvas_color                           = htmlspecialchars($params->get('cbxcir_canvas_color' , '#ffffff'));
$cbxcir_font_color                             = htmlspecialchars($params->get('cbxcir_font_color' , '#000'));
$cbxcir_text_color                             = htmlspecialchars($params->get('cbxcir_text_color' , '#333'));

$cbxcir_sec_color                              = htmlspecialchars($params->get('cbxcir_sec_color' , '#7995D5'));
$cbxcir_mins_color                             = htmlspecialchars($params->get('cbxcir_mins_color' , '#ACC742'));
$cbxcir_hours_color                            = htmlspecialchars($params->get('cbxcir_hours_color' , '#ECEFCB'));
$cbxcir_days_color                             = htmlspecialchars($params->get('cbxcir_days_color' , '#FF9900'));

/*FOR ALll*/
$kk_count_down = explode(' ', $cbenddate );


$kk_count_down_date = $kk_count_down[0];
$kk_count_down_time = $kk_count_down[1];
$kk_count_down_date_ = explode('/', $kk_count_down_date );
$kk_count_down_time_ = explode(':', $kk_count_down_time );


$cbxcir_canvas_rgbacolor = '';
$cbxcir_canvas_rgbacolor = modCBXCountdown::hex2rgba($cbxcir_canvas_color, 0.1);




$document->addStyleDeclaration('

    .cbfc-circular-countdown {
        padding: 35px 0;
        display: block;
    }

    .cbfc-circular-clock-canvas'. $module->id .' {
        background-color:'. $cbxcir_canvas_rgbacolor .' ;
    }

    .cbfc-circular-text' . $module->id . '{
        color:'. $cbxcir_font_color .' ;
    }

    .cbfc-circular-countdown-container-480 .cbfc-circular-text'. $module->id .' .cbfc-circular-type-time {
        color:'. $cbxcir_text_color .';
        font-size: 12px;
    }

');

?>

<!-- Circular countdown -->
<div id="cbfc-circular<?php echo $module->id; ?>" class="cbfc-circular-countdown cbfc-circular-countdown-container" data-module-id="<?php echo $module->id;?>" data-date="<?php echo $kk_count_down_date; ?>" data-hour="<?php echo $kk_count_down_time_[0]; ?>" data-min="<?php echo $kk_count_down_time_[1]; ?>" data-sec-border-clr="<?php echo $cbxcir_sec_color; ?>" data-min-border-clr="<?php echo $cbxcir_mins_color;?>" data-hour-border-clr="<?php echo $cbxcir_hours_color; ?>" data-days-border-clr="<?php echo $cbxcir_days_color; ?>">
    <div class="cbfc-clock-container clock">
        <div class="cbfc-circular-clock-item cbfc-circular-clock-days cbfc-circular-countdown-time-value">
            <div class="cbfc-wrap">
                <div class="cbfc-circular-inner">
                    <div id="cbfc-circular-canvas-days<?php echo $module->id; ?>" class="cbfc-circular-clock-canvas cbfc-circular-clock-canvas<?php echo $module->id; ?>"></div>

                    <div class="cbfc-circular-text cbfc-circular-text<?php echo $module->id; ?>">
                        <p class="cbfc-circular-val">0</p>
                        <p class="cbfc-circular-type-days cbfc-circular-type-time"><?php echo JText::_('MOD_CBXCOUNTDOWN_DAYS'); ?></p>
                    </div><!-- /.text -->
                </div><!-- /.inner -->
            </div><!-- /.cbfc-wrap -->
        </div><!-- /.clock-item -->

        <div class="cbfc-circular-clock-item cbfc-circular-clock-hours cbfc-circular-countdown-time-value">
            <div class="cbfc-wrap">
                <div class="cbfc-circular-inner ">
                    <div id="cbfc-circular-canvas-hours<?php echo $module->id; ?>" class="cbfc-circular-clock-canvas cbfc-circular-clock-canvas<?php echo $module->id; ?>"></div>

                    <div class="cbfc-circular-text cbfc-circular-text<?php echo $module->id; ?>">
                        <p class="cbfc-circular-val">0</p>
                        <p class="cbfc-circular-type-hours cbfc-circular-type-time"><?php echo JText::_('MOD_CBXCOUNTDOWN_HOURS'); ?></p>
                    </div><!-- /.text -->
                </div><!-- /.inner -->
            </div><!-- /.cbfc-wrap -->
        </div><!-- /.clock-item -->

        <div class="cbfc-circular-clock-item cbfc-circular-clock-minutes cbfc-circular-countdown-time-value">
            <div class="cbfc-wrap">
                <div class="cbfc-circular-inner">
                    <div id="cbfc-circular-canvas-minutes<?php echo $module->id; ?>" class="cbfc-circular-clock-canvas cbfc-circular-clock-canvas<?php echo $module->id; ?>"></div>

                    <div class="cbfc-circular-text cbfc-circular-text<?php echo $module->id; ?>">
                        <p class="cbfc-circular-val">0</p>
                        <p class="cbfc-circular-type-minutes cbfc-circular-type-time"><?php echo JText::_('MOD_CBXCOUNTDOWN_MINUTES'); ?></p>
                    </div><!-- /.text -->
                </div><!-- /.inner -->
            </div><!-- /.cbfc-wrap -->
        </div><!-- /.clock-item -->

        <div class="cbfc-circular-clock-item cbfc-circular-clock-seconds cbfc-circular-countdown-time-value">
            <div class="cbfc-wrap">
                <div class="cbfc-circular-inner">
                    <div id="cbfc-circular-canvas-seconds<?php echo $module->id; ?>" class="cbfc-circular-clock-canvas cbfc-circular-clock-canvas<?php echo $module->id; ?>"></div>

                    <div class="cbfc-circular-text cbfc-circular-text<?php echo $module->id; ?>">
                        <p class="cbfc-circular-val">0</p>
                        <p class="cbfc-circular-type-seconds cbfc-circular-type-time"><?php echo JText::_('MOD_CBXCOUNTDOWN_SECONDS'); ?></p>
                    </div><!-- /.text -->
                </div><!-- /.inner -->
            </div><!-- /.cbfc-wrap -->
        </div><!-- /.clock-item -->
    </div><!-- /.clock -->
</div><!-- /.countdown-cbfc-wrapper --><!-- End Circular countdown -->
<div style="float: none;clear: both"></div>

